Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.
+10 votes
545 views
in Q2A Core by
I'm curious to know if Question2Answer will soon be compatible with PHP 8.* or if there are no plans for further development in this regard?

I have updated all of my themes and plugins to support PHP 7.4. Before I proceed with further development or upgrading my old themes and plugins to support PHP 8.*, I would appreciate receiving some insight from whoever is currently in charge of the source. This will help me to reopen Q2A Market with confidence.
Q2A version: 1.8.6
by
If you are sure if 22 is the date. I believe it is a year.
by
+2
Please, go to the link and read it again!
Read the date of other comments and you will find a clue about how to read the dates.
by
+1
Hey I could see where he got confused. Honest mistake. I thought it was 2022 at first too until I saw your comment.
by
+1
@QROkes You are correct. I made a mistake that was caused by the way the date was displayed. Thank you for clarifying it for me.

1 Answer

+6 votes
by
selected by
 
Best answer
The bugfix branch on Github has the latest updates that work in PHP 8.

A new version will be released when I can find the time. It's slightly awkward since some of the changes use PHP 7.x features, but the 1.8 line of Q2A was made for PHP 5.x so it would be a breaking change.
by
+4
@Scott Glad to hear you.

Thank you for providing me with the updates. I can imagine how difficult it can be to find time in a busy schedule. Regarding the breaking changes, I fully understand the impact of PHP 8.*. Please feel free to let me know if there is anything I can assist you with.
by
+2
In the end I just did a find/replace for the PHP 7 features and created a zip that works on PHP 5. So I've now released 1.8.7!
by
Thank you very much, Scott, for the prompt release. I truly appreciate it.
...